title: league/commonmark
tagline: Markdown done right
description: PHP Markdown parser featuring support for CommonMark, GFM, and custom extensions
site_title: CommonMark for PHP
google_analytics_tracking_id: UA-137970568-1
repository: commonmark
default_version: '2.6'
releases:
  next:
    '2.7':
      documentation_link: '/2.7/'
  current:
    '2.6':
      documentation_link: '/2.6/'
  previous:
    '2.5':
      documentation_link: '/2.5/'
  legacy:
    '2.4':
      documentation_link: '/2.4/'
    '2.3':
      documentation_link: '/2.3/'
    '2.2':
      documentation_link: '/2.2/'
    '2.1':
      documentation_link: '/2.1/'
    '2.0':
      documentation_link: '/2.0/'
    '1.6':
      documentation_link: '/1.6/'
    '1.5':
      documentation_link: '/1.5/'
    '1.4':
      documentation_link: '/1.4/'
    '1.3':
      documentation_link: '/1.3/'
    '1.0':
      documentation_link: '/1.0/'
author:
    name: Colin O'Dell
    twitter_account: colinodell
    website: https://www.colinodell.com
highlights:
    description: "The PHP <code>CommonMark</code> parser is a robust, highly-extensible Markdown parser for PHP based on the <a href=\"https://spec.commonmark.org/\">CommonMark</a> and <a href=\"https://github.github.com/gfm/\">GitHub-Flavored Markdown</a> specifications."
    features:
        - The only PHP library fully compatible with the CommonMark and GitHub-Flavored Markdown specs
        - Highly extensible architecture supports custom syntax and other customizations
        - Community extensions and integrations for popular frameworks and CMSes
        - Easy-to-use API
composer: "$ composer require league/commonmark"
